commit 5921ece54a48e3d773293b280722fb0e34a66539
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Mon Nov 24 12:27:09 2025 +0000

    Testsuite: add testcases for dbmjz/dbmnz under sqlite

diff --git a/src/src/dbfn.c b/src/src/dbfn.c
index 30015fe73..7c2dbcce3 100644
--- a/src/src/dbfn.c
+++ b/src/src/dbfn.c
@@ -403,10 +403,7 @@ unsigned dlen;
 
 memcpy(key_copy, key, klen);
 
-/*XXX the %.*s will terminate early on a key with embedded NUL (legit for
-lookup dbmjz).  We do not have a convenient function; maybe extend
-string_printing2() ? */
-DEBUG(D_hints_lookup) debug_printf_indent("dbfn_read: key=%.*s\n", klen, key);
+DEBUG(D_hints_lookup) debug_printf_indent("dbfn_read: key=%.*W\n", klen, key);
 
 exim_datum_init(&key_datum);         /* Some DBM libraries require the datum */
 exim_datum_init(&result_datum);      /* to be cleared before use. */

